## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# TraceListener::TraceListenerGenerateFunctor Struct Reference

Collaboration diagram for TraceListener::TraceListenerGenerateFunctor:

[legend]
List of all members.

## Public Member Functions

- TraceListenerGenerateFunctor (const GenerateEvent &theEvent)
- void operator() (TraceListener *theListener) const

## Public Attributes

- const GenerateEvent & m_event

## Constructor & Destructor Documentation

TraceListener::TraceListenerGenerateFunctor::TraceListenerGenerateFunctor | ( | const GenerateEvent & | theEvent | ) |

## Member Function Documentation

void TraceListener::TraceListenerGenerateFunctor::operator() | ( | TraceListener * | theListener | ) | const

## Member Data Documentation

const GenerateEvent& TraceListener::TraceListenerGenerateFunctor::m_event

The documentation for this struct was generated from the following file:

- TraceListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.